For future reference:

* `go run intel2noise.go -l "/home/outcast/.local/share/Steam/steamapps/compatdata/8500/pfx/drive_c/users/steamuser/My Documents/EVE/logs/Chatlogs/Etherium_Intel_20220208_175248_93488613.txt" -s c-v6dq,1pf-bc,ex-gbt,z-fet0,BNX-AS,QNXJ-M,4LJ6-Q`

* Location:  /home/outcast/.local/share/Steam/steamapps/compatdata/8500/pfx/drive_c/users/steamuser/My Documents/EVE/logs/Chatlogs
* Intel channels: Etherium_Intel

```
Etherium_Intel_20220206_111758_93488613.txt
```

# Program Structure:

## Main:
* Check parameters, for errors, set stuff internally.

## Main Loop:
* Go into Logs Folder
* Generate a date-stamp
* Find all files in the Folder
 * Find `Local_*`
 * Find `$IntelChannel_*`
* For each new set of $IntelChannel and Local File, open a go-routine with these two file as parameters

## The Go-Routine
* Parse Local file and figure out the last system
 * If nono are found. Do nothing
 * If its found, continue
* ...

Need more thinky think about:
* Find and cache adjecent systems
* Find and cache characters


---

# ESI Exploration
Required to find adjacent systems

Reference: https://esi.evetech.net/ui/

* `curl -H "accept: application/json" https://esi.evetech.net/v1/universe/regions/10000027`
* `curl -H "accept: application/json" https://esi.evetech.net/v1/universe/constellations/20000336/`
* `curl -s -H "accept: application/json" https://esi.evetech.net/v4/universe/systems/30002290/ | python3 -m json.tool`
* `curl -s -H "accept: application/json" https://esi.evetech.net/v1/universe/stargates/50000569/ | python3 -m json.tool`
